Subject: Re: [PATCH v3] git-send-email: use ! to indicate relative path to command

From: Felipe Contreras <[email-masked]>
Date: Tue, 11 May 2021 20:08:50 -0500

Jeff King wrote:
> On Tue, May 11, 2021 at 04:19:46PM -0600, Gregory Anders wrote:
> > Frankly I agree. Should I modify my patch to add this new option instead of
> > modifying the behavior of smtpServer? Obviously the smtpServer option would
> > need to preserve its current behavior for backward compatibility.
> 
> Yeah, that was mentioned in the thread I linked earlier. I think it
> would be a fine solution, too. It would probably make sense for it to
> use the shell, as suggested elsewhere, and to call it "smtp-command" for
> consistency with other parts of Git (I'm thinking particularly of
> GIT_SSH versus GIT_SSH_COMMAND, where the latter was introduced to fix
> the defect that the former could not provide any arguments).

But it would be "smtpserver-command", and I don't think that the best
naming, because it doesn't necessarily have anything to do with SMTP, or
a server.

I think simply sendemail.command is perfectly fine.

-- 
Felipe Contreras